# Tariff API

Tariff API

## Get extended fee for the operation

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Tariff API","description":"Tariff API"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/tariff/extended-fee":{"post":{"tags":["Tariff API"],"summary":"Get extended fee for the operation","description":"Permission annotations:","operationId":"getFeeExtended","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerFeeExtendedPgRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeeExtendedPgResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"ContainerFeeExtendedPgRequestDTO":{"required":["payload","timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/FeeExtendedPgRequestDTO"}},"description":"Object with request data"},"FeeExtendedPgRequestDTO":{"required":["items"],"type":"object","properties":{"items":{"minItems":1,"type":"array","description":"Data items for calculating extended fees","items":{"$ref":"#/components/schemas/FeeExtendedItemPgRequestDTO"}}},"description":"Request data for calculating extended fees"},"FeeExtendedItemPgRequestDTO":{"required":["baseAmount","currency","feeType","opType"],"type":"object","properties":{"baseAmount":{"type":"number","description":"Base amount"},"currency":{"type":"string","description":"Currency ticker"},"opType":{"type":"string","description":"Operation type","enum":["INVOICE","WITHDRAWAL"]},"feeType":{"type":"string","description":"Fee type","enum":["SERVICE","FIX","PERCENT"]}},"description":"Request item data for calculating extended fees"},"FeeExtendedPgResponseDTO":{"required":["items"],"type":"object","properties":{"items":{"minItems":1,"type":"array","description":"List of items with calculated fee details","items":{"$ref":"#/components/schemas/FeeExtendedItemPgResponseDTO"}}},"description":"Response data containing extended fee calculation results"},"FeeExtendedItemPgResponseDTO":{"required":["amount","currency","feeReceiver","feeSender","opType"],"type":"object","properties":{"amount":{"type":"number","description":"Transaction amount"},"currency":{"type":"string","description":"Currency ticker"},"opType":{"type":"string","description":"Operation type","enum":["INVOICE","WITHDRAWAL"]},"feeReceiver":{"$ref":"#/components/schemas/FeeExtendedCalculationResultPgResponseDTO"},"feeSender":{"$ref":"#/components/schemas/FeeExtendedCalculationResultPgResponseDTO"}},"description":"Response item data containing extended fee calculation results"},"FeeExtendedCalculationResultPgResponseDTO":{"required":["amount","fee"],"type":"object","properties":{"amount":{"type":"number","description":"Transaction amount"},"fee":{"type":"number","description":"Calculated fee amount"},"fixedFee":{"type":"number","description":"Calculated fixed fee amount"},"percentFee":{"type":"number","description":"Calculated percent fee amount"}},"description":"Detailed fee calculation result for one party"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
